400 Bad request while installing

Wolowitz
Shopify Partner
1 0 0

 

Hello Shopify Community,

I'm working on a shopify app for stores. I got the issue if I installed the app with the production environment over an own domain(https://feed-app.pokecheck.de/) but it's failed all the time and returned the following error:"
Bad Request

The browser (or proxy) sent a request that this server could not understand.
"

I've checked the NGINX Error and with journalctl the logs, but no errors are there. It's really strange because I cannot debug this error because we don't get any kind of logs. I added already try/exceptions with logging, but also no errors appear in the logs.

This is the URL after trying to install the app on a developing store: https://feed-app.pokecheck.de/app_launched?hmac=579f00104514bb4c65be8a595f70e378f1e08ac8e5ae5252b783...

The App is running over Flask with NGINX and UWSGI. The Domain is SSL encrypted with Cloudflare. This Guide was the way how I build my app: https://github.com/garettB/shopify-flask-example



Server:
nginx/1.24.0
Python 3.10.12

Requirements.txt:
alembic==1.13.1
amqp==5.2.0
billiard==4.2.0
blinker==1.7.0
celery==5.3.6
certifi==2023.11.17
charset-normalizer==3.3.2
click==8.1.7
click-didyoumean==0.3.0
click-plugins==1.1.1
click-repl==0.3.0
Flask==3.0.0
Flask-Migrate==4.0.5
Flask-SQLAlchemy==3.1.1
greenlet==3.0.3
idna==3.6
itsdangerous==2.1.2
Jinja2==3.1.2
kombu==5.3.4
Mako==1.3.0
MarkupSafe==2.1.3
prompt-toolkit==3.0.43
python-dateutil==2.8.2
python-dotenv==1.0.0
python-slugify==8.0.1
requests==2.31.0
schedule==1.2.1
six==1.16.0
SQLAlchemy==2.0.25
text-unidecode==1.3
typing_extensions==4.9.0
tzdata==2023.4
urllib3==2.1.0
vine==5.1.0
wcwidth==0.2.13
Werkzeug==3.0.1

Production App Settings:
Bildschirmfoto vom 2024-02-27 13-32-54.png


When I install the App in local environment with ngrok it's working like a charm without any code changes. I just change the App Setting URLs. I'm confused and didn't find anything about this problem or similar one.

Replies 0 (0)